#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Decoding library for the GIF format
Summary(pl.UTF-8):	Biblioteka dekodująca pliki w formacie GIF
Name:		libnsgif
Version:	0.1.4
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
# Source0-md5:	c4608d944f3a10ae236c8993c2d3b6d0
URL:		http://www.netsurf-browser.org/projects/libnsgif/
BuildRequires:	netsurf-buildsystem >= 1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libnsgif is a decoding library for the GIF image file format, written
in C. It was developed as part of the NetSurf project and is available
for use by other software under the MIT licence.

%description -l pl.UTF-8
Libnsgif to napisana w C biblioteka dekodująca pliki obrazów w
formacie GIF. Powstała jako część projektu NetSurf i jest dostępna do
wykorzystania przez inne programy na licencji MIT.

%package devel
Summary:	libsgif library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnsgif
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the include files and other resources you can
use to incorporate libnsgif into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libnsgif w swoich
programach.

%package static
Summary:	libnsgif static library
Summary(pl.UTF-8):	Statyczna biblioteka libnsgif
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libnsgif library.

%description static -l pl.UTF-8
Statyczna biblioteka libnsgif.

%prep
%setup -q

%build
export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	COMPONENT_TYPE=lib-shared

%if %{with static_libs}
%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	COMPONENT_TYPE=lib-static
%endif

%install
rm -rf $RPM_BUILD_ROOT

export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_libdir}/libnsgif.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnsgif.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnsgif.so
%{_includedir}/libnsgif.h
%{_pkgconfigdir}/libnsgif.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnsgif.a
%endif
%changelog
* Sat Dec 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnsgif.git;a=log;h=master

* Mon Nov 21 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 7c7cdd5
- updated to 0.1.4

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 242f831
- unified install, dropped outdated patch

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> bda12a4
- updated to 0.1.3

* Mon Mar 16 2015 Witold Filipczyk <witekfl@poczta.onet.pl> ebb11c5
- updated to 0.1.2

* Tue Nov 25 2014 Jan Rękorajski <baggins@pld-linux.org> 9d4c767
- drop Werror (fails to buils on current glibc)
- rel 2

* Sat May 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 71c3acd
- pl
- use LIBDIR to get proper libs directory, also in .pc files

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7a81d5e
- lib.patch deleted

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 28d26e2
- obsolete

* Tue Apr 29 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 550bebd
- up to 0.1.1

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> c1cc653
- fix install on lib64 systems

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 1a8afbb
- do not reset CFLAGS, internal include paths are lost that way; verbose files

* Sat Apr 27 2013 witekfl <witekfl@poczta.onet.pl> 75d3aad
- pass cflags and ldflags.

* Fri Apr 26 2013 witekfl <witekfl@poczta.onet.pl> d600c9c
- new

